Subject: [quicwg/base-drafts] 9138fd: I decided to reword this after reading it. It mis...

From: Martin Thomson <[email-masked]>
Date: Sun, 21 Oct 2018 16:32:36 -0700

Branch: refs/heads/how-to-protect-close
  Home:   https://github.com/quicwg/base-drafts
  Commit: 9138fd991036a0af2c1593ef96d75ad8ed9be07b
      https://github.com/quicwg/base-drafts/commit/9138fd991036a0af2c1593ef96d75ad8ed9be07b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-10-22 (Mon, 22 Oct 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  I decided to reword this after reading it.  It missed a few key things.

I think that the second piece to #1786, which was to make allowances for
fatal errors arising from Initial packets won't be necessary.  I'm happy
to see a PR, of course, but the sentiment I've heard expressed is that
it is very hard to manage this, and the spec wouldn't expressly prevent
someone from trying to build a system that was resilient to
maliciously-crafted Initial packets, but we wouldn't take steps in this
document to deal with that.  As previously agreed, if you are attacked
and the attacker was able to modify Initial packets, then they can deny
you the ability to connect.

Closes #1818, #1786.

  Commit: f94c3957f232fc644d6bcf1d83b0ea8745034d69
      https://github.com/quicwg/base-drafts/commit/f94c3957f232fc644d6bcf1d83b0ea8745034d69
  Author: Martin Thomson <[email-masked]>
  Date:   2018-10-22 (Mon, 22 Oct 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Be less cagey

  Commit: 8c2aaa3650e5cd214df3171c9b94b3aa4d4f2f2b
      https://github.com/quicwg/base-drafts/commit/8c2aaa3650e5cd214df3171c9b94b3aa4d4f2f2b
  Author: Martin Thomson <[email-masked]>
  Date:   2018-10-22 (Mon, 22 Oct 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove #1818 changes as duplicates

Compare: https://github.com/quicwg/base-drafts/compare/552e087f3ed1...8c2aaa3650e5
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.